<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Recipezz</title>

<link rel="stylesheet" type="text/css" media="all"
	href="../static/css/bootstrap.min.css"
	th:href="@{css/bootstrap.min.css}" />

<script th:src="@{/webjars/jquery/3.4.1/jquery.min.js}"></script>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
	integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
	crossorigin="anonymous"></script>
<script
	src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
	integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
	crossorigin="anonymous"></script>
<script
	src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
	integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
	crossorigin="anonymous"></script>
</head>
<body>
	<!--/*@thymesVar id="recipes" type="java.util.List"*/-->
	<!--/*@thymesVar id="recipe" type="com.tcs.recipe.model.Recipe"*/-->
	<div class="container-fluid" style="margin-top: 20px">
		<div class="row">
			<div class="col-lg-12">
				<img class="fr_objfitimg lazy-loaded"
					src="../static/images/header.jpg" th:src="@{'/images/header.jpg'}"
					width="1500" height="336" />
			</div>
		</div>
		<div class="row">
			<div class="col-lg-9">
				<div class="panel panel-primary">

					<div class="panel-heading">
						<h1 class="panel-title">Recipes!!</h1>
					</div>
				</div>
			</div>
			<div class="col-lg-3">
				<form class="form-inline my-2 my-lg-0" th:action="@{/recipeSearch/}" method="get">
				   <!-- input type="hidden" name="key" th:value="${key}" /> -->
					<input type="text" class="form-control mr-sm-2" name="title" id ="title"  th:value="${title}" placeholder="Search">
					<button class="btn btn-secondary my-2 my-sm-0" type="submit">Search</button>
				</form>
			</div>
		</div>
		<div class="row">
			<div class="col-lg-12 col-md-offset-3">
				<div class="panel panel-primary">
					<div class="panel-body">
						<div class="col-lg-12 col-md-offset-3">
							<div class="table-responsive"
								th:if="${not #lists.isEmpty(recipes)}">
								<table class="table table-hover ">
									<thead class="thead-inverse">
										<tr>
											<th>Name</th>
											<th>Description</th>
											<th>View</th>
											<th>Update</th>
											<th>Delete</th>
										</tr>
									</thead>
									<tr th:remove="all">
										<td th:text="${recipe.id}">123</td>
										<td th:text="${recipe.description}">Yum</td>
									</tr>
									<tr th:remove="all">
										<td th:text="${recipe.id}">12333</td>
										<td th:text="${recipe.description}">Yummy2</td>
									</tr>
									<tr th:each="recipe : ${recipes}">
										<!-- <td th:text="${recipe.id}">12223</td> -->
										<td><a th:text="${recipe.title}" href="#"
											th:href="@{'/recipe/'+ ${recipe.id} + '/show'}"></a></td>
										<td th:text="${recipe.description}">Yummy3</td>
										<td><a href="#"
											th:href="@{'/recipe/'+ ${recipe.id} + '/show'}">View</a></td>
										<td><a href="#"
											th:href="@{'/recipe/'+ ${recipe.id} + '/update'}">Update</a></td>
										<td><a href="#"
											th:href="@{'/recipe/'+ ${recipe.id} + '/delete'}">Delete</a></td>
									</tr>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div class="row">
			<button type="button" class="btn btn-danger" th:onclick="|window.location.href='/recipe/new'|">New Recipe</button>
		</div>
	</div>
</body>
</html>